ros-lunar-tf2-ros (0.5.17-0zesty) zesty; urgency=high

  * Merge pull request #260 <https://github.com/ros/geometry2/issues/260> from randoms/indigo-devel
    fix python3 import error
  * Merge pull request #257 <https://github.com/ros/geometry2/issues/257> from delftrobotics-forks/python3
    Make tf2_py python3 compatible again
  * Use python3 print function.
  * Contributors: Maarten de Vries, Tully Foote, randoms

 -- Tully Foote <tfoote@osrfoundation.org>  Mon, 01 Jan 2018 08:00:00 -0000

ros-lunar-tf2-ros (0.5.16-0zesty) zesty; urgency=high

  * Merge pull request #144 <https://github.com/ros/geometry2/issues/144> from clearpathrobotics/dead_lock_fix
    Solve a bug that causes a deadlock in MessageFilter
  * Clear error string if it exists from the external entry points.
    Fixes #117 <https://github.com/ros/geometry2/issues/117>
  * Make buff_size and tcp_nodelay and subscriber queue size mutable.
  * Remove generate_rand_vectors() from a number of tests. (#227 <https://github.com/ros/geometry2/issues/227>)
    * Remove generate_rand_vectors() from a number of tests.
  * Log jump duration on backwards time jump detection. (#234 <https://github.com/ros/geometry2/issues/234>)
  * replaced dependencies on tf2_msgs_gencpp by exported dependencies
  * Use new-style objects in python 2
  * Solve a bug that causes a deadlock in MessageFilter
  * Contributors: Adel Fakih, Chris Lalancette, Christopher Wecht, Eric Wieser, Koji Terada, Stephan, Tully Foote, koji_terada

 -- Tully Foote <tfoote@osrfoundation.org>  Fri, 14 Jul 2017 07:00:00 -0000

ros-lunar-tf2-ros (0.5.15-0zesty) zesty; urgency=high

  * tf2_ros: add option to unregister TransformListener (#201 <https://github.com/ros/geometry2/issues/201>)
  * Contributors: Hans-Joachim Krauch

 -- Tully Foote <tfoote@osrfoundation.org>  Tue, 24 Jan 2017 08:00:00 -0000

ros-lunar-tf2-ros (0.5.14-0zesty) zesty; urgency=high

  * Drop roslib.load_manifest (#191 <https://github.com/ros/geometry2/issues/191>)
  * Adds ability to load TF from the ROS parameter server.
  * Code linting & reorganization
  * Fix indexing beyond end of array
  * added a static transform broadcaster in python
  * lots more documentation
  * remove BufferCore doc, add BufferClient/BufferServer doc for C++, add Buffer/BufferInterface Python documentation
  * Better overview for Python
  * Contributors: Eric Wieser, Felix Duvallet, Jackie Kay, Mikael Arguedas, Mike Purvis

 -- Tully Foote <tfoote@osrfoundation.org>  Mon, 16 Jan 2017 08:00:00 -0000

ros-lunar-tf2-ros (0.5.13-0zesty) zesty; urgency=high

  * fix documentation warnings
  * Adding tests to package
  * Contributors: Laurent GEORGE, Vincent Rabaud

 -- Tully Foote <tfoote@osrfoundation.org>  Fri, 04 Mar 2016 08:00:00 -0000

ros-lunar-tf2-ros (0.5.12-0zesty) zesty; urgency=high

  * remove annoying gcc warning
    This is because the roslog macro cannot have two arguments that are
    formatting strings: we need to concatenate them first.
  * break canTransform loop only for non-tiny negative time deltas
    (At least) with Python 2 ros.Time.now() is not necessarily monotonic
    and one can experience negative time deltas (usually well below 1s)
    on real hardware under full load. This check was originally introduced
    to allow for backjumps with rosbag replays, and only there it makes sense.
    So we'll add a small duration threshold to ignore backjumps due to
    non-monotonic clocks.
  * Contributors: Vincent Rabaud, v4hn

 -- Tully Foote <tfoote@osrfoundation.org>  Wed, 05 Aug 2015 07:00:00 -0000

ros-lunar-tf2-ros (0.5.11-0zesty) zesty; urgency=high

  * do not short circuit waitForTransform timeout when running inside pytf. Fixes #102 <https://github.com/ros/geometry_experimental/issues/102>
    roscpp is not initialized inside pytf which means that ros::ok is not
    valid. This was causing the timer to abort immediately.
    This breaks support for pytf with respect to early breaking out of a loop re #26 <https://github.com/ros/geometry_experimental/issues/26>.
    This is conceptually broken in pytf, and is fixed in tf2_ros python implementation.
    If you want this behavior I recommend switching to the tf2 python bindings.
  * inject timeout information into error string for canTransform with timeout
  * Contributors: Tully Foote

 -- Tully Foote <tfoote@osrfoundation.org>  Wed, 22 Apr 2015 07:00:00 -0000

ros-lunar-tf2-ros (0.5.10-0zesty) zesty; urgency=high

  * switch to use a shared lock with upgrade instead of only a unique lock. For #91 <https://github.com/ros/geometry_experimental/issues/91>
  * Update message_filter.h
  * filters: fix unsupported old messages with frame_id starting with '/'
  * Enabled tf2 documentation
  * make sure the messages get processed before testing the effects. Fixes #88 <https://github.com/ros/geometry_experimental/issues/88>
  * allowing to use message filters with PCL types
  * Contributors: Brice Rebsamen, Jackie Kay, Tully Foote, Vincent Rabaud, jmtatsch

 -- Tully Foote <tfoote@osrfoundation.org>  Tue, 21 Apr 2015 07:00:00 -0000

ros-lunar-tf2-ros (0.5.9-0zesty) zesty; urgency=high

  * changed queue_size in Python transform boradcaster to match that in c++
  * Contributors: mrath

 -- Tully Foote <tfoote@osrfoundation.org>  Wed, 25 Mar 2015 07:00:00 -0000

ros-lunar-tf2-ros (0.5.8-0zesty) zesty; urgency=high

  * fix deadlock #79 <https://github.com/ros/geometry_experimental/issues/79>
  * break out of loop if ros is shutdown. Fixes #26 <https://github.com/ros/geometry_experimental/issues/26>
  * remove useless Makefile files
  * Fix static broadcaster with rpy args
  * Contributors: Paul Bovbel, Tully Foote, Vincent Rabaud

 -- Tully Foote <tfoote@osrfoundation.org>  Tue, 17 Mar 2015 07:00:00 -0000

ros-lunar-tf2-ros (0.5.7-0zesty) zesty; urgency=high

  * Added 6 param transform again
    Yes, using Euler angles is a bad habit. But it is much more convenient if you just need a rotation by 90° somewhere to set it up in Euler angles. So I added the option to supply only the 3 angles.
  * Remove tf2_py dependency for Android
  * Contributors: Achim Königs, Gary Servin

 -- Tully Foote <tfoote@osrfoundation.org>  Tue, 23 Dec 2014 08:00:00 -0000

ros-lunar-tf2-ros (0.5.6-0zesty) zesty; urgency=high

  * support if canTransform(...): in python #57 <https://github.com/ros/geometry_experimental/issues/57>
  * Support clearing the cache when time jumps backwards #68 <https://github.com/ros/geometry_experimental/issues/68>
  * Contributors: Tully Foote

 -- Tully Foote <tfoote@osrfoundation.org>  Thu, 18 Sep 2014 07:00:00 -0000

ros-lunar-tf2-ros (0.5.5-0zesty) zesty; urgency=high



 -- Tully Foote <tfoote@osrfoundation.org>  Mon, 23 Jun 2014 07:00:00 -0000

ros-lunar-tf2-ros (0.5.4-0zesty) zesty; urgency=high

  * surpressing autostart on the server objects to not incur warnings
  * switch to boost signals2 following ros/ros_comm#267 <https://github.com/ros/ros_comm/issues/267>, blocking ros/geometry#23 <https://github.com/ros/geometry/issues/23>
  * fix compilation with gcc 4.9
  * make can_transform correctly wait
  * explicitly set the publish queue size for rospy
  * Contributors: Tully Foote, Vincent Rabaud, v4hn

 -- Tully Foote <tfoote@osrfoundation.org>  Wed, 07 May 2014 07:00:00 -0000

ros-lunar-tf2-ros (0.5.3-0zesty) zesty; urgency=high



 -- Tully Foote <tfoote@osrfoundation.org>  Fri, 21 Feb 2014 08:00:00 -0000

ros-lunar-tf2-ros (0.5.2-0zesty) zesty; urgency=high



 -- Tully Foote <tfoote@osrfoundation.org>  Thu, 20 Feb 2014 08:00:00 -0000

ros-lunar-tf2-ros (0.5.1-0zesty) zesty; urgency=high

  * adding const to MessageEvent data
  * Contributors: Tully Foote

 -- Tully Foote <tfoote@osrfoundation.org>  Fri, 14 Feb 2014 08:00:00 -0000

ros-lunar-tf2-ros (0.5.0-0zesty) zesty; urgency=high

  * TF2 uses message events to get connection header information
  * Contributors: Kevin Watts

 -- Tully Foote <tfoote@osrfoundation.org>  Fri, 14 Feb 2014 08:00:00 -0000

ros-lunar-tf2-ros (0.4.10-0zesty) zesty; urgency=high

  * adding support for static transforms in python listener. Fixes #46 <https://github.com/ros/geometry_experimental/issues/46>
  * Contributors: Tully Foote

 -- Tully Foote <tfoote@osrfoundation.org>  Thu, 26 Dec 2013 08:00:00 -0000

ros-lunar-tf2-ros (0.4.9-0zesty) zesty; urgency=high



 -- Tully Foote <tfoote@osrfoundation.org>  Wed, 06 Nov 2013 08:00:00 -0000

ros-lunar-tf2-ros (0.4.8-0zesty) zesty; urgency=high

  * fixing pytf failing to sleep https://github.com/ros/geometry/issues/30
  * moving python documentation to tf2_ros from tf2 to follow the code
  * Fixed static_transform_publisher duplicate check, added rostest.

 -- Tully Foote <tfoote@osrfoundation.org>  Wed, 06 Nov 2013 08:00:00 -0000

ros-lunar-tf2-ros (0.4.7-0zesty) zesty; urgency=high

  * fixing new conditional to cover the case that time has not progressed yet port forward of ros/geometry#35 <https://github.com/ros/geometry/issues/35> in the python implementation
  * fixing new conditional to cover the case that time has not progressed yet port forward of ros/geometry#35 <https://github.com/ros/geometry/issues/35>

 -- Tully Foote <tfoote@osrfoundation.org>  Wed, 28 Aug 2013 07:00:00 -0000

ros-lunar-tf2-ros (0.4.6-0zesty) zesty; urgency=high

  * patching python implementation for #24 <https://github.com/ros/geometry_experimental/issues/24> as well
  * Stop waiting if time jumps backwards.  fixes #24 <https://github.com/ros/geometry_experimental/issues/24>
  * patch to work around uninitiaized time. `#30 https://github.com/ros/geometry/issues/30`_
  * Removing unnecessary CATKIN_DEPENDS  #18 <https://github.com/ros/geometry_experimental/issues/18>

 -- Tully Foote <tfoote@osrfoundation.org>  Wed, 28 Aug 2013 07:00:00 -0000

ros-lunar-tf2-ros (0.4.5-0zesty) zesty; urgency=high

  * Revert "cherrypicking groovy patch for #10 <https://github.com/ros/geometry_experimental/issues/10> into hydro"
    This reverts commit 296d4916706d64f719b8c1592ab60d3686f994e1.
    It was not starting up correctly.
  * fixing usage string to show quaternions and using quaternions in the test app
  * cherrypicking groovy patch for #10 <https://github.com/ros/geometry_experimental/issues/10> into hydro

 -- Tully Foote <tfoote@osrfoundation.org>  Thu, 11 Jul 2013 07:00:00 -0000

ros-lunar-tf2-ros (0.4.4-0zesty) zesty; urgency=high

  * making repo use CATKIN_ENABLE_TESTING correctly and switching rostest to be a test_depend with that change.
  * reviving unrun unittest and adding CATKIN_ENABLE_TESTING guards

 -- Tully Foote <tfoote@osrfoundation.org>  Tue, 09 Jul 2013 07:00:00 -0000

ros-lunar-tf2-ros (0.4.3-0zesty) zesty; urgency=high



 -- Tully Foote <tfoote@osrfoundation.org>  Fri, 05 Jul 2013 07:00:00 -0000

ros-lunar-tf2-ros (0.4.2-0zesty) zesty; urgency=high



 -- Tully Foote <tfoote@osrfoundation.org>  Fri, 05 Jul 2013 07:00:00 -0000

ros-lunar-tf2-ros (0.4.1-0zesty) zesty; urgency=high

  * adding queue accessors lost in the new API
  * exposing dedicated thread logic in BufferCore and checking in Buffer
  * adding methods to enable backwards compatability for passing through to tf::Transformer

 -- Tully Foote <tfoote@osrfoundation.org>  Fri, 05 Jul 2013 07:00:00 -0000

ros-lunar-tf2-ros (0.4.0-0zesty) zesty; urgency=high

  * splitting rospy dependency into tf2_py so tf2 is pure c++ library.
  * moving convert methods back into tf2 because it does not have any ros dependencies beyond ros::Time which is already a dependency of tf2
  * Cleaning up unnecessary dependency on roscpp
  * converting contents of tf2_ros to be properly namespaced in the tf2_ros namespace
  * fixing return by value for tranform method without preallocatoin
  * Cleaning up packaging of tf2 including:
    removing unused nodehandle
    cleaning up a few dependencies and linking
    removing old backup of package.xml
    making diff minimally different from tf version of library
  * Restoring test packages and bullet packages.
    reverting 3570e8c42f9b394ecbfd9db076b920b41300ad55 to get back more of the packages previously implemented
    reverting 04cf29d1b58c660fdc999ab83563a5d4b76ab331 to fix #7 <https://github.com/ros/geometry_experimental/issues/7>
  * Added link against catkin_LIBRARIES for tf2_ros lib, also CMakeLists.txt clean up

 -- Tully Foote <tfoote@osrfoundation.org>  Thu, 27 Jun 2013 07:00:00 -0000

ros-lunar-tf2-ros (0.3.6-0zesty) zesty; urgency=high



 -- Tully Foote <tfoote@osrfoundation.org>  Sun, 03 Mar 2013 08:00:00 -0000

ros-lunar-tf2-ros (0.3.5-0zesty) zesty; urgency=high

  * 0.3.4 -> 0.3.5

 -- Tully Foote <tfoote@osrfoundation.org>  Fri, 15 Feb 2013 22:46:00 -0000

ros-lunar-tf2-ros (0.3.4-0zesty) zesty; urgency=high

  * 0.3.3 -> 0.3.4

 -- Tully Foote <tfoote@osrfoundation.org>  Fri, 15 Feb 2013 21:14:00 -0000

ros-lunar-tf2-ros (0.3.3-0zesty) zesty; urgency=high

  * 0.3.2 -> 0.3.3

 -- Tully Foote <tfoote@osrfoundation.org>  Fri, 15 Feb 2013 19:30:00 -0000

ros-lunar-tf2-ros (0.3.2-0zesty) zesty; urgency=high

  * 0.3.1 -> 0.3.2

 -- Tully Foote <tfoote@osrfoundation.org>  Fri, 15 Feb 2013 08:42:00 -0000

ros-lunar-tf2-ros (0.3.1-0zesty) zesty; urgency=high

  * 0.3.0 -> 0.3.1

 -- Tully Foote <tfoote@osrfoundation.org>  Thu, 14 Feb 2013 08:00:00 -0000

ros-lunar-tf2-ros (0.3.0-0zesty) zesty; urgency=high

  * switching to version 0.3.0
  * Merge pull request #2 <https://github.com/ros/geometry_experimental/issues/2> from KaijenHsiao/groovy-devel
    added setup.py and catkin_python_setup() to tf2_ros
  * added setup.py and catkin_python_setup() to tf2_ros
  * fixing cmake target collisions
  * fixing catkin message dependencies
  * removing packages with missing deps
  * catkin fixes
  * catkinizing geometry-experimental
  * catkinizing tf2_ros
  * catching None result in buffer client before it becomes an AttributeError, raising tf2.TransformException instead
  * oneiric linker fixes, bump version to 0.2.3
  * fix deprecated use of Header
  * merged faust's changes 864 and 865 into non_optimized branch: BufferCore instead of Buffer in TransformListener, and added a constructor that takes a NodeHandle.
  * add buffer server binary
  * fix compilation on 32bit
  * add missing file
  * build buffer server
  * TransformListener only needs a BufferCore
  * Add TransformListener constructor that takes a NodeHandle so you can specify a callback queue to use
  * Add option to use a callback queue in the message filter
  * move the message filter to tf2_ros
  * add missing std_msgs dependency
  * missed 2 lines in last commit
  * removing auto clearing from listener for it's unexpected from a library
  * static transform tested and working
  * subscriptions to tf_static unshelved
  * static transform publisher executable running
  * latching static transform publisher
  * cleaning out old commented code
  * Only query rospy.Time.now() when the timeout is greater than 0
  * debug comments removed
  * move to tf2_ros completed. tests pass again
  * merge tf2_cpp and tf2_py into tf2_ros

 -- Tully Foote <tfoote@osrfoundation.org>  Wed, 13 Feb 2013 08:00:00 -0000


